Redirect to waitlist
POST
{{server}}/api/v1/counter/redirect/waitListThis endpoint redirects the ticket to the global or local waitlist.
Request
-
ticket: Ticketkey -
global: Iftrue, it puts the ticket to global waitlist instead of local. -
wasRealTransaction: Is it was a real transaction?
There is no response if it was successful.
Request
Authorization
| Header | Value |
|---|---|
Authorization | Bearer {{counterToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Body (json)
{
"ticket": "{{ticketKey}}",
"global": false,
"wasRealTransaction": true
}
Code snippets
- cURL
- JavaScript
- Python
curl -X POST '{{server}}/api/v1/counter/redirect/waitList' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"global": false,
"wasRealTransaction": true
}'
const response = await fetch("{{server}}/api/v1/counter/redirect/waitList", {
method: "POST",
headers: {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}",
"Content-Type": "application/json"
},
body: JSON.stringify({
"ticket": "{{ticketKey}}",
"global": false,
"wasRealTransaction": true
}),
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/counter/redirect/waitList"
headers = {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}",
"Content-Type": "application/json"
}
payload = {
"ticket": "{{ticketKey}}",
"global": False,
"wasRealTransaction": True
}
response = requests.post(url, headers=headers, json=payload)
print(response.status_code)
print(response.json())
Example
Example request
POST
{{server}}/api/v1/counter/redirect/waitListHeaders (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Body
{
"ticket": "1906d4ba-ccac-4a1f-d8f9-a63962d6879a",
"global": false,
"wasRealTransaction": true
}
Example response 204 No Content
No response body